Skip to content

Complete Single Point Import​

POST
/api/v1/shipment/single-point-imports/{id}/complete

Closes the single point import. The import must contain at least one shipment and no draft shipments.

Parameters​

Header Parameters

Authorization*

Token returned by the Get Token request, with the Bearer prefix

Typestring
Required
Example"Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIn0.signature"
Accept-Language

Language of the name fields in the response (country, unit of measure, status and package additional fee names) and of validation messages. English when it starts with en (e.g. en, en-US), Turkish otherwise. Success, business rule, authorization and 503 messages are always in Turkish.

Typestring
Examples
"tr"
"en"
Default"tr"

Path Parameters

id*

Single point import ID

Typeinteger
Required
Example45
Minimum1

Responses​

Single point import completed

application/json
JSON
{
"success": true,
"message": "Tek nokta ithalatı tamamlandı"
}

Playground​

Headers
Variables
Key
Value

Samples​

cURL
JavaScript
PHP
Python